<?php

class HeaderView {

    public static function display($theme) {
        ?>
        <!DOCTYPE html>
        <html lang="fr">
        <head>
            <meta charset="UTF-8">
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <title>Wiki Fantasy</title>
            <link id="favicon" rel="icon" href="images/dark.svg" type="image/x-icon" />
            <script src="script/truncateQuotes.js"></script>
            <link rel="stylesheet" href="<?php global $style; echo $style['accueil']; ?>"> <!-- Import de styleAccueil.css -->
            <script defer src="script/theme-toggle.js"></script> <!-- Import du script -->
        </head>
        <body class="<?php echo htmlspecialchars($theme); ?>">
        <div class="container">
            <div class="header">
                <div class="nav">
                    <a href="favorite.html"><img src="images/coeur.svg" alt="coeur" width="67px" height="67px" onmousedown="return false"></a>
                    <img id="theme-icon" src="images/dark.svg" alt="toggle theme" width="72px" height="37px" onmousedown="return false" onclick="toggleTheme()">
                    <a href="quiz.html"><img src="images/quizz.svg" alt="quizz" width="51px" height="82px" onmousedown="return false"></a>
                </div>
                <div class="logo">
                    <a href="accueil.html"><img src="images/WIKIFANTASY.png" alt="Logo" width="227px" height="106px" onmousedown="return false"></a>
                </div>
                <div class="user">
                    <a href="profil.html"><img src="images/user_dark.png" alt="user" width="70px" height="70px" onmousedown="return false"></a>
                </div>
            </div>
        </div>
        <?php
    }
}
?>
